# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI=6

inherit git-r3

DESCRIPTION="Client for signing certificates with an ACME-server implemented as a relatively simple bash-script"
HOMEPAGE="https://github.com/lukas2511/dehydrated"
EGIT_REPO_URI="https://github.com/lukas2511/${PN}.git"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
IUSE="nginx"

DEPEND=""
RDEPEND="
		sys-apps/coreutils
		net-misc/curl
		dev-libs/openssl
"

DOCS=( README.md docs/. )

src_install() {
	dobin ${PN}
	docompress -x /usr/share/doc/${PF}/examples
	default

	ETCDIR=/etc/${PN}
	insinto ${ETCDIR}
	doins ${FILESDIR}/config
	touch ${D}${ETCDIR}/domains
	keepdir /etc/ssl/${PN}
	keepdir /var/www/${PN}
	if use nginx ; then
		mkdir -p ${D}/etc/nginx
		cp ${FILESDIR}/nginx.conf  ${D}/etc/nginx/${PN}.conf
    fi
}

src_test() {
	./test.sh
}
