# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-apps/shinken/shinken-0.12.2.ebuild,v 1.4 2011/03/15 21:34:31 xarthisius Exp $

EAPI=5
PYTHON_DEPEND="2:2.7"
RESTRICT_PYTHON_ABIS="3.* *-jython"

inherit distutils user

DESCRIPTION="Shinken is a new monitoring tool written in Python and compatible with Nagios."
HOMEPAGE="http://shinken-monitoring.org/"
SRC_URI="http://shinken-monitoring.org/pub/${P}.tar.gz"

LICENSE="AGPLv3"
SLOT="0"
IUSE="livestat +arbiter broker poller reactionner receiver scheduler +webui"

KEYWORDS="~amd64 ~x86"

RDEPEND="
	dev-python/pyro:3
	dev-python/pycurl
	webui? ( dev-python/pymongo )
	livestat? ( dev-python/simplejson
		dev-python/pysqlite )
	poller? ( net-analyzer/nagios-plugins )
	"
DEPEND="${RDEPEND}
	!net-analyzer/nagios"

SHINKENMODULES="arbiter broker poller reactionner receiver scheduler"

pkg_setup() {
	python_pkg_setup
	ebegin "Creating shinken user and group"
    enewgroup ${PN}
	enewuser ${PN} -1 -1 -1 ${PN}
}

src_install() {
	distutils_src_install --root=${D}
	# remove windows-specific configs
	rm ${D}etc/${PN}/*-windows.ini
	rm ${D}etc/${PN}/*-windows.cfg
	rmdir ${D}var/run/${PN}
	
	keepdir "/var/lib/${PN}"
	keepdir "/var/log/${PN}"

	mv ${D}etc/default ${D}etc/conf.d
}
